| Request Parameter | Type | Description |
|---|---|---|
| requestType | string | The context or reason why this request is being made. Will be transcribe - The TranscribeUtterance command has completed and its actionUrl is being invoked. |
| callId | string | Unique identifier for this Call, generated by FreeClimb. |
| accountId | string | Account ID associated with your account |
| from | string | Phone number of the party that initiated the Call (in E.164 format) |
| to | string | Phone number provisioned to the customer and to which this Call is directed (in E.164 format) |
| recordingId | string | The ID of the recording. If no recording was made due to errors or the "saveRecording" flag being disabled this field will be set to null. |
| recordingUrl | string (url) | The URL of the recorded audio file. This URL can be used as is in a If no recording was made due to errors or the "saveRecording" flag being disabled this field will be set to null. |
| recordingSize | integer | The size of the recording in bytes. If no recording was made due to errors or the "saveRecording" flag being disabled this field will be set to 0. |
| recordingFormat | string | The media type of the recording. If no recording was made due to errors or the "saveRecording" flag being disabled this field will be set to null. |
| recordingDurationMs | integer | The duration of the recorded audio in milliseconds. If no recording was made due to errors or the "saveRecording" flag being disabled this field will be set to 0. |
| termReason | string | The action url was invoked. Indicates if the command did complete or there was an error that prevented the command from running
|
| recordTermReason | string | The action url was invoked after the command completed and a record had been requested. Can be any of the following:
|
| digit | string | If recordTermReason is digit, this will be the digit that was pressed. Otherwise it will be null. Digit will be set to "xxxxx" in the logs if privacyForLogging is enabled. |
| privacyForLogging | boolean | Echo back of the privacyForLogging flag as specified in the transcribe utterance command – confirmation of logging protection has been applied. Can be used by application to know it should also apply protection when handling this request. |
| privacyForRecording | boolean | Echo back of the privacyForRecording flag as specified in the transcribe utterance command – confirmation of logging protection has been applied. Can be used by application to know it should also apply protection when handling this request. |
| bargeInReason | string | noBargeIn, bargeInByDTMF, bargeInByEnergy. When this is populated with DTMF or Energy, then more information will be present in additional bargeInXxx fields |
| bargedInPromptNo | integer | -1 : no barge-in 0 : buffered DTMF or DTMF detected or Energy detected at start of command execution and before first prompt could play 1 or higher : 1-based index of prompt number from list of prompts provided indicating which prompt was barged-in. If a prompt was barged-in, then additional information will be present in bargedInPromptMs |
| bargedInPromptMs | integer | duration in ms bargedInPromptNo prompt was executing until barge-in occurred. |
| bargedInPromptLoopNo | integer | 1-based count of number of times prompt had played when barge-in occurred. If loopCount was not specified for the prompt then it would show 1 to indicate first (and only) time it was played. If the prompt does not support looping, it will also show 1. If no barge in, it will be 0. |
| bargeInTimeMs | integer | epoch time in ms e.g. 1677170569123 |
| transcript | string | Transcribed text of the recording. Can be empty or null. null means there was a failure in transcribing the audio, refer to transcribeReason for detailed failure reason. Transcript will be set to "xxxxx" in the logs if privacyForLogging is enabled. |
| transcribeReason | string | Results of transcription, will be success when audio is transcribed successfully, else a reason of the failure will be provided. Can be any of the following:
|
| transcriptionDurationMs | integer | The duration of the audio being transcribed in milliseconds |